package com.yd.dal.mapper.agms;

import com.yd.api.agms.vo.dashboard.StatisticsPractitionerInfo;
import com.yd.api.agms.vo.dashboard.StatisticsSalesInfo;
import com.yd.dal.entity.agms.dashboard.StatisticsOpportunityInfo;
import com.yd.dal.entity.agms.dashboard.StatisticsPEPInfo;
import com.yd.dal.entity.practitioner.PersonalOffLineFYC;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface AgmsDashboardMapper {

    List<StatisticsPEPInfo> statisticsPEP(@Param("type")String type,@Param("dropOptionId")Long dropOptionId);

    List<StatisticsOpportunityInfo> statisticsOpportunity(@Param("type")String type,@Param("time") String time, @Param("dropOptionId") Long dropOptionId);

    List<Map<String, Long>> getPractitionerNums(@Param("type")String type);

    List<StatisticsSalesInfo> statisticsSalesYD(@Param("type")String type, @Param("time")String time);

    List<StatisticsPractitionerInfo> statisticsPractitioner(@Param("type")String type);

    List<StatisticsSalesInfo> statisticsSalesEG(@Param("type")String type, @Param("time")String time);

    List<PersonalOffLineFYC> personalOffLineFYC(List<String> mobileNoList);
}
